xmonad (0.15-4build1) groovy; urgency=medium

  * No-change rebuild against libffi8ubuntu1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Aug 2020 00:15:56 +0000

xmonad (0.15-4) unstable; urgency=medium

  * Update patch to build with newer pandoc (>= 2.9) (Closes: #961829)
  * Update gnome-flashback-xmonad to work with newer gnome.
    Thanks Tollef Fog Heen for the suggestion.
  * Install systemd user target unit file for gnome-session.
    Thanks Tollef Fog Heen for the suggestion (Closes: #948823).

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 02 Aug 2020 11:35:54 +0300

xmonad (0.15-3) unstable; urgency=medium

  * Patch from Adam Sjøgren to build man page with newer pandoc API.

 -- Clint Adams <clint@debian.org>  Tue, 14 Jul 2020 08:07:18 -0400

xmonad (0.15-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Remove Dmitry Bogatov from Uploaders per his request. Thank you
    Dmitry for your previous maintainership.

 -- Clint Adams <clint@debian.org>  Mon, 08 Jun 2020 19:02:53 -0400

xmonad (0.15-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 29 Jul 2019 16:52:15 -0400

xmonad (0.14.2-3) unstable; urgency=medium

  [ Félix Sipma ]
  * Use UTF-8 locale when building the package.
    Otherwise haddock fails to process files with Unicode characters.

  [ Ilias Tsitsimpis ]
  * Run dh_installman before dh_installwm

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 01 Nov 2018 11:16:39 +0200

xmonad (0.14.2-2) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:39 +0300

xmonad (0.14.2-1) unstable; urgency=medium

  * Bump debhelper compat level to 10
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 29 Sep 2018 19:48:33 +0300

xmonad (0.13-14) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * Patch to build with newer X11.

 -- Clint Adams <clint@debian.org>  Thu, 07 Jun 2018 19:21:04 -0400

xmonad (0.13-13) unstable; urgency=medium

  * Patch to build with pandoc 2.x.

 -- Clint Adams <clint@debian.org>  Wed, 25 Apr 2018 07:47:51 -0400

xmonad (0.13-12) unstable; urgency=medium

  * Untested patch to build with pandoc 2.x.

 -- Clint Adams <clint@debian.org>  Tue, 24 Apr 2018 21:22:35 -0400

xmonad (0.13-11) unstable; urgency=medium

  * Untested patch to build with pandoc 2.x.

 -- Clint Adams <clint@debian.org>  Tue, 24 Apr 2018 20:30:54 -0400

xmonad (0.13-10) unstable; urgency=medium

  * Untested patch to build with pandoc 2.x.

 -- Clint Adams <clint@debian.org>  Tue, 24 Apr 2018 19:30:07 -0400

xmonad (0.13-9) unstable; urgency=medium

  * Untested patch to build with pandoc 2.1.

 -- Clint Adams <clint@debian.org>  Tue, 24 Apr 2018 18:27:42 -0400

xmonad (0.13-8) unstable; urgency=medium

  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:05:13 -0400

xmonad (0.13-7) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Gianfranco Costamagna ]
  * From Jeremy Bicha: adapt to gnome-settings-daemon 3.28
    (Closes: #892004)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 13 Mar 2018 16:38:07 +0100


xmonad (0.13-6) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/gnome-flashback-xmonad.session:
    - Update for future gnome-settings-daemon 3.25.4
      (orientation and xrandr plugins have been dropped)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Aug 2017 11:04:08 +0200

xmonad (0.13-5) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/gnome-flashback-xmonad.session:
    - Update for gnome-settings-daemon 3.24

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Jul 2017 22:58:53 +0200

xmonad (0.13-4) unstable; urgency=medium

  * debian/gnome-flashback-xmonad.session:
    - revert the change, gnome transition didn't
      happen yet (Closes: #867383)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 22 Jul 2017 10:24:06 +0200

xmonad (0.13-3) unstable; urgency=medium

  * Drop older-pandoc patch.

 -- Clint Adams <clint@debian.org>  Fri, 21 Jul 2017 18:36:35 -0400

xmonad (0.13-2) unstable; urgency=medium

  * Patch to build with pandoc older than 1.19.  closes: #867386.

 -- Clint Adams <clint@debian.org>  Thu, 06 Jul 2017 23:18:52 -0400

xmonad (0.13-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Remove Per Olofsson from the Uploaders list per request of
    the MIA team (Closes: #847163).

  [ Jeremy Bicha ]
  * debian/gnome-flashback-xmonad.session:
    - Update for gnome-settings-daemon 3.24

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Wed, 05 Jul 2017 22:24:16 -0400

xmonad (0.12-5) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:37:24 -0400

xmonad (0.12-4) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 20:14:08 -0400

xmonad (0.12-3) unstable; urgency=medium

  * Convert 'debian/copyright' to dep5 format
  * Bump standards version to 3.9.8 (no changes needed)
  * Drop duplicating build-dependency
  * Use secure (https) uri in Vcs-Git field in 'debian/control'

 -- Dmitry Bogatov <KAction@gnu.org>  Mon, 09 May 2016 12:38:29 +0300

xmonad (0.12-2) unstable; urgency=medium

  * Make sure it builds with dpkg-buildpackage -A

 -- Joachim Breitner <nomeata@debian.org>  Tue, 22 Mar 2016 11:00:15 +0100

xmonad (0.12-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 11 Jan 2016 00:19:36 -0500

xmonad (0.11.1-4) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:23 -0500

xmonad (0.11.1-3) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:29:15 +0200

xmonad (0.11.1-3~1) unstable; urgency=medium

  * Add X session "GNOME Flashback (Xmonad)". Closes: #772179.
    - Add NEWS.Debian entry describing the change.
    - Add instructions to README.Debian.
    - Add lintian override for DesktopNames key in session desktop file.
  * Add alternatives xmonad-session and gnome-flashback-xmonad to
    x-session-manager. Closes: #681153.
  * Bump Standards-Version to 3.9.6 (no changes).
  * Add myself to Uploaders.
  * Change distribution from UNRELEASED to unstable in old NEWS.Debian
    entry.
  * Reformat old NEWS.Debian entry to make it compliant and parsable.
  * Suggest gnome-session-flashback

 -- Per Olofsson <pelle@debian.org>  Sun, 06 Sep 2015 21:46:31 +0200

xmonad (0.11.1-2) unstable; urgency=medium

  * New patch: Allow utf8-string-1

 -- Joachim Breitner <nomeata@debian.org>  Wed, 01 Jul 2015 13:28:16 +0200

xmonad (0.11.1-1) unstable; urgency=medium

  * New upstream release
  * Add xmonad.lintian-overrides

 -- Joachim Breitner <nomeata@debian.org>  Wed, 29 Apr 2015 16:04:37 +0200

xmonad (0.11-11) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:56:07 +0200

xmonad (0.11-10) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:13:02 +0100

xmonad (0.11-9) unstable; urgency=medium

  * Drop gnome+xmonad session (see NEWS) (Closes: #749389)
  * The xmonad session now supports the session file
    ~/.xmonad/xmonad-session-rc (Closes: 484091)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 21 Sep 2014 12:11:44 +0200

xmonad (0.11-8) unstable; urgency=medium

  * Float mplayer2 (patch by Joey Hess, Closes: #753551)

 -- Joachim Breitner <nomeata@debian.org>  Thu, 03 Jul 2014 07:42:54 +0200

xmonad (0.11-7) unstable; urgency=low

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Louis Bettens ]
  * Provide virtual package x-window-manager

 -- Joachim Breitner <nomeata@debian.org>  Sat, 05 Oct 2013 18:22:30 +0200

xmonad (0.11-6) unstable; urgency=low

  * Build-Depend on pandoc-data (Closes: #724076)

 -- Joachim Breitner <nomeata@debian.org>  Mon, 30 Sep 2013 14:45:06 +0200

xmonad (0.11-5) unstable; urgency=low

  * Don't use DefaultProider for GNOME session - this is removed in newer
    GNOME session versions.

 -- Iain Lane <laney@debian.org>  Tue, 25 Jun 2013 12:58:48 +0100

xmonad (0.11-4) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:45:37 +0200

xmonad (0.11-3) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:50 +0200

xmonad (0.11-2) experimental; urgency=low

  * debian/patches/fix-GenerateManpage: Pandoc compatibility.

 -- Joachim Breitner <nomeata@debian.org>  Sun, 17 Feb 2013 17:04:16 +0100

xmonad (0.11-1) experimental; urgency=low

  [ Joachim Breitner ]
  * Change VCS fields back to regular
  * New upstream release

  [ Ryan Kavanagh ]
  * Don't run GenerateManpage with runghc at build time, fixes FTBFS on
    architectures without ghci.
  * Build-depend on libghc-extensible-exceptions-* now that it's no longer
    bundled in ghc

  [ Joachim Breitner ]
  * Work around a pandoc data file mismatch (#697306) by forcing the pandoc
    build dependency to come from experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 03 Jan 2013 21:15:16 +0100

xmonad (0.10.1~darcs20120707-2) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:02:40 +0200

xmonad (0.10.1~darcs20120707-1) experimental; urgency=low

  * New upstream release: darcs snapshot of xmonad 0.10.1 which doesn't yet
    have an uptream tarball.
  * Bump libghc-x11-dev build-dependency to (<< 1.7) to allow building with
    haskell-x11 1.6
  * Update Vcs-* to point to experimental
  * Added myself to uploaders.
  * Bump standards version to 3.9.3
  * Add build-dependencies on libghc-regex-posix-dev, libghc-pandoc-dev and
    pandoc required to generate manpage from markdown at build time. Update
    debian/rules to generate these manpages at build-time, and to clean up
    afterwards
  * Added DEP-3 header to use_x-terminal-emulator.patch
  * Drop Encoding=UTF-8 from xmonad.desktop and xmonad-session.desktop
  * Force the use of at least haskell-x11 1.6; xmonad-contrib will FTBFS
    if xmonad was built against 1.5

 -- Ryan Kavanagh <rak@debian.org>  Sat, 07 Jul 2012 15:24:26 -0400

xmonad (0.10-4) unstable; urgency=low

  * Add debian menu entry, thx to Kevin Ryde for the idea (Closes: #664580)

 -- Joachim Breitner <nomeata@debian.org>  Tue, 20 Mar 2012 22:31:34 +0100

xmonad (0.10-3) unstable; urgency=low

  * Sourceful upload to rebuild documentation package

 -- Joachim Breitner <nomeata@debian.org>  Fri, 10 Feb 2012 23:14:53 +0100

xmonad (0.10-2) unstable; urgency=low

  * Upload to unstable, Haskell transtition timer has been reset by another
    upload anyways.

 -- Joachim Breitner <nomeata@debian.org>  Thu, 01 Dec 2011 23:53:14 +0100

xmonad (0.10-1) experimental; urgency=low

  [ Erik de Castro Lopo ]
  * New upstream.
  * Disable debian/patches/haddock-fixes.patch (fixed upstream).
  * debian/control:
    - Standards version 3.9.2 (no changes).
    - Fix a couple of lintian warnings.
    - Add build-dep on libghc-utf8-string-*.
  * Add manpage debian/gnome-session-xmonad.1
  * debian/copyright : Drop reference to BSD license in /usr/share and use
    one in package instead.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 28 Nov 2011 21:15:19 +0100

xmonad (0.9.2-3) unstable; urgency=low

  * s/libghc6-xmonad-configuration-doc/libghc-xmonad-contrib-doc/ and
    s/ghc6/ghc/g in README.Debian (Closes: #581730)
  * Added missed text in section Description of xmonad (Closes: #610395)
  * Install files so that gdm offers a gnome3-based session.

 -- Joachim Breitner <nomeata@debian.org>  Fri, 11 Nov 2011 22:17:08 +0100

xmonad (0.9.2-2) unstable; urgency=low

  * Adjust packaging copyright.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 09 Apr 2011 11:09:06 +0530

xmonad (0.9.2-1) unstable; urgency=low

  * Recommend xfonts-base (Closes: #574062)
  * New upstream release
  * Rename ghc6 → ghc
  * Adopt by Debian Haskell Group
  * Bump standards version, no change
  * remove_temporary_ghcfiles.patch: removed. I think ghc handles this better
    now (although I cannot find the reference). Can be re-introduced when
    needed.
  * haddock-fixes.patch: Format -fglasgow-exts in a way that haddock
    understands it.

 -- Joachim Breitner <nomeata@debian.org>  Tue, 05 Apr 2011 21:42:00 +0530

xmonad (0.9.1-2) unstable; urgency=low

  * Rebuild because of change ABI in ghc
  * Ship .png file un-uuencoded

 -- Joachim Breitner <nomeata@debian.org>  Mon, 15 Feb 2010 11:42:30 +0100

xmonad (0.9.1-1) unstable; urgency=low

  * Change priority to extra
  * New upstream release
  * Bump dependencies on X11 and haskell-devscripts
  * Use new haskell substvars
  * Switch to 3.0 (quilt)

 -- Joachim Breitner <nomeata@debian.org>  Thu, 11 Feb 2010 20:56:47 +0100

xmonad (0.9-1) unstable; urgency=low

  * Fix typo in .desktop file
  * New upstream release
    + Please read http://haskell.org/haskellwiki/Xmonad/Notable_changes_since_0.8
  * Bump standards version

 -- Joachim Breitner <nomeata@debian.org>  Mon, 26 Oct 2009 18:16:42 +0100

xmonad (0.8.1-5) unstable; urgency=low

  * Suggest dmenu, not pdmenu (Closes: #536327)
  * Unconditionally remove .hi and .o before building, to provide smooth
    upgrades from older ghc6 versions (Closes: #531893)
  * Bump standards version

 -- Joachim Breitner <nomeata@debian.org>  Mon, 20 Jul 2009 23:19:13 +0200

xmonad (0.8.1-4) unstable; urgency=low

  * Remove are not installed. No (Closes: #517949)
  * Improve misleading 1st paragraph of long description ("xmonad" is not a
    library)", thanks to Stefano Zacchiroli  (Closes: #524200)
  * Bump debhelper level to 7 and add dh_installwm to debian/rules to fix
    "xmonad does not install x-window-manager alternative"  (Closes: #530458)
  * Add ghc6-doc, libghc6-x11-doc and libghc6-mtl-doc to the Recommends of
    libghc6-xmonad-doc.
  * Change section to haskell
  * Bump standards version, no change
  * Suggest pdmenu (Closes: #512493)

 -- Joachim Breitner <nomeata@debian.org>  Tue, 26 May 2009 10:49:54 +0200

xmonad (0.8.1-3) unstable; urgency=low

  * Rebuilt with ghc6 with arch-independent .haddock files

 -- Joachim Breitner <nomeata@debian.org>  Sat, 28 Feb 2009 12:03:32 +0100

xmonad (0.8.1-2) unstable; urgency=low

  * Fix binary-arch target

 -- Joachim Breitner <nomeata@debian.org>  Tue, 24 Feb 2009 14:47:36 +0100

xmonad (0.8.1-1) unstable; urgency=low

  * New upstream release (no changes, only ghc-6.10 compatibility)
    Closes: #516448
  * Added debian/watch
  * Use kaol’s cdbs script in haskell-devscripts
  * Update years in debian/copyright
  * Include .desktop file in /usr/share/applications (Closes: #516397), thanks
    to Magnus Therning

 -- Joachim Breitner <nomeata@debian.org>  Mon, 23 Feb 2009 18:45:13 +0100

xmonad (0.8-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 06 Sep 2008 11:50:18 +0200

xmonad (0.7-2) unstable; urgency=low

  * Rebuild against new haskell-x11 (Closes: #486610, xinerama support)
  * Update standards version (no change)
  * Add Homepage: field

 -- Joachim Breitner <nomeata@debian.org>  Thu, 03 Jul 2008 17:23:14 +0200

xmonad (0.7-1) unstable; urgency=low

  * xmonad needs to depend on x11-utils, for xmessage dialog
    boxes (Closes: #470114)
  * New upstream release
  * Remove VCS headers, darcs was to unreliable for me.

 -- Joachim Breitner <nomeata@debian.org>  Sun, 30 Mar 2008 23:14:13 +0200

xmonad (0.6-3) unstable; urgency=low

  * Update build-dependencies

 -- Joachim Breitner <nomeata@debian.org>  Thu, 06 Mar 2008 19:33:06 +0100

xmonad (0.6-2) unstable; urgency=low

  * Start to use update-haskell-control for tighter dependencies

 -- Joachim Breitner <nomeata@debian.org>  Wed, 05 Mar 2008 14:13:09 +0100

xmonad (0.6-1) unstable; urgency=low

  * Upload to debian (closes: 460727)
  * This makes xmonad-rebuild obsolete, as that functionality is provided by
    upstream now.
  * Depends on the haskell-x11 version that was NMU’ed and uploaded to 7-days
    delayed, if anyone is wondering.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 04 Feb 2008 18:15:05 +0100

xmonad (0.6-0.nomeata1) UNRELEASED; urgency=low

  * New upstream version

 -- Joachim Breitner <nomeata@debian.org>  Mon, 28 Jan 2008 18:06:13 +0100

xmonad (0.5-0.nomeata4) UNRELEASED; urgency=low

  * Build against ghc6.8

 -- Joachim Breitner <nomeata@debian.org>  Thu, 17 Jan 2008 00:13:09 +0100

xmonad (0.5-0.nomeata3) UNRELEASED; urgency=low

  * Explicitly depend on X11 >= 1.4.1

 -- Joachim Breitner <nomeata@debian.org>  Sun, 30 Dec 2007 14:28:29 +0100

xmonad (0.5-0.nomeata2) UNRELEASED; urgency=low

  * Install desktop file and register as a window manager

 -- Joachim Breitner <nomeata@debian.org>  Tue, 25 Dec 2007 16:15:14 +0100

xmonad (0.5-0.nomeata1) UNRELEASED; urgency=low

  * New upstream version, test release
    See README.Debian for information on the various packages.

 -- Joachim Breitner <nomeata@debian.org>  Tue, 11 Dec 2007 12:42:34 +0100

xmonad (0.4-6) unstable; urgency=low

  * xmonad-rebuild needs to depend on libxinerama-dev (Closes: #451990)
    sorry for forgetting about that

 -- Joachim Breitner <nomeata@debian.org>  Mon, 19 Nov 2007 19:28:11 +0100

xmonad (0.4-5) unstable; urgency=low

  * FTBFS: /usr/bin/ld: cannot find -lXinerama (Closes: #450449)
    Thanks to Lucas Nussbaum for doing good QA work.

 -- Joachim Breitner <nomeata@debian.org>  Thu, 08 Nov 2007 16:15:01 +0100

xmonad (0.4-4) unstable; urgency=low

  * Add upstream url to copyright file

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Oct 2007 18:37:30 +0100

xmonad (0.4-3) unstable; urgency=low

  * Support for extensions in /usr/share/xmonad/extensions/

 -- Joachim Breitner <nomeata@debian.org>  Sun, 28 Oct 2007 12:58:24 +0100

xmonad (0.4-2) unstable; urgency=low

  * Add Vcs-Darcs headers
  * change terminal name to x-terminal-emulator
  * and mplayer float app (Closes: #447966)

 -- Joachim Breitner <nomeata@debian.org>  Thu, 25 Oct 2007 12:21:08 +0200

xmonad (0.4-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 18 Oct 2007 15:43:57 +0200

xmonad (0.3-0.4) UNRELEASED; urgency=low

  * Use Config.hs instead of config.hs for xmonad-rebuild

 -- Joachim Breitner <nomeata@debian.org>  Sun, 07 Oct 2007 20:44:09 +0200

xmonad (0.3-0.3) UNRELEASED; urgency=low

  * Register as a proper window manager (desktop file for gdm,
    alternatives handling)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 07 Oct 2007 16:37:34 +0200

xmonad (0.3-0.2) UNRELEASED; urgency=low

  * Support for user-compiled xmonad binary in /home/jojo/.xmonad/xmonad

 -- Joachim Breitner <nomeata@debian.org>  Sun, 07 Oct 2007 14:55:22 +0200

xmonad (0.3-0.1) UNRELEASED; urgency=low

  * Initial release. (Closes: #429226)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 07 Oct 2007 13:55:30 +0200
